dbXML API

## com.dbxml.db.client.xmldb
Class ResourceSetImpl

    java.lang.Object
      com.dbxml.db.client.xmldb.ResourceSetImpl

All Implemented Interfaces:
  org.xmldb.api.base.ResourceSet

public final class ResourceSetImpl
extends java.lang.Object
implements org.xmldb.api.base.ResourceSet

ResourceSetImpl

Constructor Summary
`ResourceSetImpl(CollectionImpl col, ResultSetClient rs)`

Method Summary
`void` `addResource(org.xmldb.api.base.Resource resource)`
`void` `clear()`
`org.xmldb.api.base.ResourceIterator` `getIterator()`
`org.xmldb.api.base.Resource` `getMembersAsResource()`
`org.xmldb.api.base.Resource` `getResource(long index)`
`long` `getSize()`
`void` `removeResource(long index)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceSetImpl

    public ResourceSetImpl(CollectionImpl col,
                           ResultSetClient rs)
                    throws org.xmldb.api.base.XMLDBException

Method Detail

### getResource

    public org.xmldb.api.base.Resource getResource(long index)
                                            throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getResource` in interface `org.xmldb.api.base.ResourceSet`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### addResource

    public void addResource(org.xmldb.api.base.Resource resource)
                     throws org.xmldb.api.base.XMLDBException

  Specified by:
    `addResource` in interface `org.xmldb.api.base.ResourceSet`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### removeResource

    public void removeResource(long index)
                        throws org.xmldb.api.base.XMLDBException

  Specified by:
    `removeResource` in interface `org.xmldb.api.base.ResourceSet`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getIterator

    public org.xmldb.api.base.ResourceIterator getIterator()
                                                    throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getIterator` in interface `org.xmldb.api.base.ResourceSet`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getMembersAsResource

    public org.xmldb.api.base.Resource getMembersAsResource()
                                                     throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getMembersAsResource` in interface `org.xmldb.api.base.ResourceSet`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getSize

    public long getSize()
                 throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getSize` in interface `org.xmldb.api.base.ResourceSet`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### clear

    public void clear()
               throws org.xmldb.api.base.XMLDBException

  Specified by:
    `clear` in interface `org.xmldb.api.base.ResourceSet`
  Throws:
    `org.xmldb.api.base.XMLDBException`

dbXML API

Copyright (c) 2004 The dbXML Group